@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

body {
    background-color: #1A1A4A; /* Azul más oscuro */
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    font-family: 'Montserrat', sans-serif;
}

form {
    background-color: #FFFFFF;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    width: 90%;
    max-width: 800px; /* Ajustado el ancho máximo a 500px */
    text-align: center;
    margin: 20px 0; /* Margen superior para evitar el corte */
}

h2 {
    color: #333;
    margin-bottom: 20px;
    font-weight: 700;
}

label {
    color: #333;
    display: block;
    text-align: left;
    margin-bottom: 5px;
    font-weight: 700;
}

input[type="text"], input[type="file"], input[type="email"], select, textarea {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
    box-sizing: border-box;
    background: #FFF; /* Fondo blanco para los inputs */
    color: #000; /* Color de texto negro para los inputs */
}

input[type="submit"] {
    background-color: #28a745; /* Color verde para el botón */
    color: white;
    border: none;
    padding: 15px;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    width: 100%;
    font-weight: 700;
}

input[type="submit"]:hover {
    background-color: #218838;
}

select, textarea {
    margin-bottom: 20px;
}

#independiente_fields, #empleado_fields {
    display: none;
}